{% load static %}
<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_layanan_edit' id %}"
    {% else %}
        action="{% url 'profile:admin_layanan_create' %}"
    {% endif %}>

   
    {% csrf_token %}
 
    <div class="form-group">
        <label for="typexs">Jenis Layanan</label>
        <select name="{{ form.typexs.name }}" id="typexs" class="form-control col-md-4">
            {% for dt in jns_layanan %}
            <option value="{{dt.val}}" {% if form.typexs.value == dt.val %} selected="selected"{% endif %}>{{dt.nama}}</option>
            {% endfor %}
        </select>
    </div>
    <div class="form-group">
        <label for="judul">Masukan Judul Layanan</label>
        <input type="text" placeholder="Masukkan Judul Layanan..."
            class="form-control"
            name="{{ form.title.name }}"
            id="title" 
            value="{{layanandinas.title}}"
            required>
    </div>
    <div class="row form-group">
        <div class="col-md-8">
            <label for="deskripsi">Deskripsi Layanan</label>
            {{form.description}}
        </div>
        <div class="col-md-4">
            <label for="Layanan Dinas">Foto Layanan Dinas</label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto"
                {% if form_foto.foto.field.required and not edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
                <img id="old-image" style="max-width: 100%; max-height: 100%;" src="{{layanandinas.foto.url}}">           
            </div>
        </div>
    </div>    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>